#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire3300five4xi.py">
#<abstract4xi abstract = "fires to direction five and to distance 3300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire3300five4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2FIVE - COORDINATE SIGNS OF SHOOT2FIVE4XI: (X - ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2five33004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2five33004xi = {
                1: '-1001x2946y1098z',
                2: '-1037x1975y2431z',
                3: '-1044x946y2983z',
                4: '-104x22y3298z',
                5: '-1088x2136y2266z',
                6: '-1116x909y2969z',
                7: '-1151x1939y2408z',
                8: '-1158x2899y1067z',
                9: '-1186x867y2954z',
                10: '-1210x2096y2242z',
                11: '-1254x820y2939z',
                12: '-1265x1896y2386z',
                13: '-1313x2844y1035z',
                14: '-1321x768y2924z',
                15: '-1330x2049y2218z',
                16: '-1376x1846y2363z',
                17: '-1385x711y2909z',
                18: '-138x22y3297z',
                19: '-1447x649y2893z',
                20: '-1449x1994y2193z',
                21: '-1464x2781y1004z',
                22: '-1486x1789y2340z',
                23: '-1506x583y2877z',
                24: '-155x999y3141z',
                25: '-1561x512y2861z',
                26: '-1565x1932y2169z',
                27: '-1593x1726y2316z',
                28: '-1613x2709y973z',
                29: '-1614x438y2844z',
                30: '-1662x358y2827z',
                31: '-1678x1864y2144z',
                32: '-1698x1657y2293z',
                33: '-1706x275y2810z',
                34: '-172x18y3295z',
                35: '-1746x189y2793z',
                36: '-1758x2629y941z',
                37: '-1782x99y2775z',
                38: '-1788x1788y2118z',
                39: '-1800x1581y2269z',
                40: '-1812x5y2757z',
                41: '-1895x1706y2093z',
                42: '-1898x1498y2245z',
                43: '-1899x2540y909z',
                44: '-1992x1410y2220z',
                45: '-1998x1618y2067z',
                46: '-2035x2444y878z',
                47: '-205x11y3293z',
                48: '-2081x1315y2196z',
                49: '-2097x1523y2041z',
                50: '-213x1020y3130z',
                51: '-2166x2341y846z',
                52: '-2167x1215y2171z',
                53: '-2191x1422y2015z',
                54: '-2247x1110y2146z',
                55: '-2279x1316y1989z',
                56: '-2291x2230y814z',
                57: '-2321x999y2121z',
                58: '-233x2221y2428z',
                59: '-2363x1204y1963z',
                60: '-2390x883y2096z',
                61: '-239x1y3291z',
                62: '-2411x2112y782z',
                63: '-2440x1086y1936z',
                64: '-2453x763y2070z',
                65: '-2510x639y2044z',
                66: '-2512x964y1909z',
                67: '-2524x1988y750z',
                68: '-2559x511y2018z',
                69: '-2577x837y1882z',
                70: '-2603x379y1992z',
                71: '-2631x1857y717z',
                72: '-2635x706y1855z',
                73: '-2639x244y1966z',
                74: '-2687x571y1828z',
                75: '-2730x1721y685z',
                76: '-2731x432y1800z',
                77: '-2748x109y1998z',
                78: '-274x1038y3120z',
                79: '-2768x290y1772z',
                80: '-2797x146y1745z',
                81: '-2818x0y1716z',
                82: '-2822x1579y653z',
                83: '-2907x1432y621z',
                84: '-2983x1280y588z',
                85: '-3052x1124y556z',
                86: '-3112x964y523z',
                87: '-3163x801y490z',
                88: '-3205x636y458z',
                89: '-3238x468y425z',
                90: '-3262x298y392z',
                91: '-3277x127y360z',
                92: '-338x1052y3109z',
                93: '-351x2051y2560z',
                94: '-353x2230y2406z',
                95: '-361x3044y1221z',
                96: '-39x12y3299z',
                97: '-403x1061y3098z',
                98: '-463x2055y2539z',
                99: '-471x1067y3086z',
                100: '-474x2232y2383z',
                101: '-522x3032y1191z',
                102: '-540x1069y3074z',
                103: '-577x2052y2518z',
                104: '-596x2227y2360z',
                105: '-610x1065y3062z',
                106: '-682x1058y3050z',
                107: '-683x3012y1160z',
                108: '-691x2043y2497z',
                109: '-719x2215y2337z',
                110: '-71x19y3299z',
                111: '-754x1045y3037z',
                112: '-7x3y3299z',
                113: '-807x2027y2475z',
                114: '-827x1028y3024z',
                115: '-843x2196y2314z',
                116: '-843x2983y1129z',
                117: '-900x1006y3011z',
                118: '-922x2004y2453z',
                119: '-966x2170y2290z',
                120: '-972x978y2997z',
                121: '-99x974y3151z'}

# ----------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire3300five4xi" usage = "target function for charge33004xi4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# ----------------------------------------------------------------------------------------------------------------
def fire3300five4xi(queue2five, consumer_channel2five, publisher_channel2five):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE3300FIVE4XIFIVE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE3300FIVE4XIFIVE4XI -  QUEUE2FIVE: ", queue2five)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE3300FIVE4XIFIVE4XI -  CONSUMER_CHANNEL2FIVE: ", consumer_channel2five)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE3300FIVE4XIFIVE4XI -  PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE3300FIVE4XIFIVE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2five.put(shot2five33004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE3300FIVE4XIFIVE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE3300FIVE4XIFIVE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE3300FIVE4XIFIVE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2five8shot2five33004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2five8shot2five33004xi</nack2put4xi>" 
            
        publisher_channel2five.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE3300FIVE4XIFIVE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE3300FIVE4XIFIVE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE3300FIVE4XIFIVE4XI - RETURNING QUEUE OBJECT QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi())  
        # 
            
    return queue2five    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire3300five4xi.py                             
# -------------------------------------------------------------------------------------------------       
                 